? cscope.out
? gnome-pty-helper/.in
Index: src/vte.c
===================================================================
RCS file: /cvs/gnome/vte/src/vte.c,v
retrieving revision 1.417
diff -u -r1.417 vte.c
--- src/vte.c	3 Mar 2005 06:40:44 -0000	1.417
+++ src/vte.c	6 Mar 2005 15:47:21 -0000
@@ -8350,7 +8350,17 @@
 {
 	VteTerminal *terminal;
 	g_return_if_fail(VTE_IS_TERMINAL(widget));
+	if (!GTK_WIDGET_REALIZED(widget)) {
+#ifdef VTE_DEBUG
+		if (_vte_debug_on(VTE_DEBUG_MISC)) {
+			fprintf(stderr, "Don't change style if we aren't realized.\n");
+		}
+#endif
+		return;
+	}
+
 	terminal = VTE_TERMINAL(widget);
+
 	/* If the font we're using is the same as the old default, then we
 	 * need to pick up the new default. */
 	if (pango_font_description_equal(style->font_desc,
